phpMyAdmin

Материал из Википедии — свободной энциклопедии
Перейти к навигации Перейти к поиску

PhpMyAdmin
PhpMyAdmin logo.png
PhpMyAdmin-main-ru.png
Тип веб-интерфейс для MySQL
Разработчик phpMyAdmin Developer Team
Написана на PHP[1] и JavaScript
Первый выпуск 9 сентября 1998
Последняя версия
Читаемые форматы файлов CSV, XML и OpenDocument
Создаваемые форматы файлов CSV, OpenDocument, XML, YAML, JSON и PDF
Лицензия GNU GPL 2[3][4]
Сайт phpmyadmin.net
Commons-logo.svg Медиафайлы на Викискладе

phpMyAdmin — веб-приложение с открытым кодом, написанное на языке PHP и представляющее собой веб-интерфейс для администрирования СУБД MySQL. PHPMyAdmin позволяет через браузер и не только осуществлять администрирование сервера MySQL, запускать команды SQL и просматривать содержимое таблиц и баз данных. Приложение пользуется большой популярностью у веб-разработчиков, так как позволяет управлять СУБД MySQL без непосредственного ввода SQL команд.

Приложение распространяется под лицензией GNU General Public License и поэтому многие другие разработчики интегрируют его в свои разработки, например XAMPP, Denwer, AppServ, Open Server.

Проект на данный момент[когда?] времени локализован на более чем 62 языках.

Разработчики[править | править код]

Инициатором является немецкий разработчик Тобиас Ратшиллер (Tobias Ratschiller) и основывается так же, как и phpPgAdmin, на аналогичном приложении MySQL-Webadmin, появившемся в 1997 году.

С 2001 года проект phpMyAdmin у основателя Тобиаса Ратшиллера перенял Марк Делисл (Marc Delisle), начав вместе с Оливером Мюллером (Olivier Müller) и Лоик Шапо (Loïc Chapeaux) новую эру phpMyAdmin.

На сегодняшний день Марк Делисл является администратором проекта и имеет самый большой вклад в phpMyAdmin в виде написанного кода. Основными помощниками проекта являются Михал Чихарж (Michal Čihař), Себастьян Мендель (Sebastian Mendel) и Герман ван Ринк (Herman van Rink).

Версии[править | править код]

Начиная с версии 3.0.0, phpMyAdmin присоединился к инициативе GoPHP5 и отказался от поддержки совместимости с устаревшими версиями PHP и MySQL. Для работы phpMyAdmin 3.0.0 и выше требуется наличие PHP 5.2 и MySQL 5. Для использования старых версий PHP и MySQL продолжает развиваться вторая ветка скрипта (2.x), однако её поддержка ограничивается закрытием найденных уязвимостей, новых функций в неё не добавляется.

Альтернативы[править | править код]

Adminer (бывший phpMinAdmin) поставляемый как единый php-файл. Известен и ряд других веб-интерфейсов к MySQL, напр. Chive[5], разработанный с использованием Yii.

Примечания[править | править код]

Ссылки[править | править код]